org.richfaces.log

## Enum RichfacesLogger

- java.lang.Object
- - java.lang.Enum<RichfacesLogger>
  - - org.richfaces.log.RichfacesLogger

- All Implemented Interfaces:
    Serializable, Comparable<RichfacesLogger>

      public enum RichfacesLogger
      extends Enum<RichfacesLogger>

  Author:
    Anton Belevich

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `APPLICATION`
    `CACHE`
    `COMPONENTS`
    `CONFIG`
    `CONNECTION`
    `CONTEXT`
    `MODEL`
    `RENDERKIT`
    `RESOURCE`
    `UTIL`
    `WEBAPP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getComponentPath(javax.faces.component.UIComponent component)` Return string which contains formated path from view root to component.
    `Logger` | `getLogger()`
    `String` | `getLoggerName()`
    `static RichfacesLogger` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RichfacesLogger[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESOURCE

          public static final RichfacesLogger RESOURCE

    - #### RENDERKIT

          public static final RichfacesLogger RENDERKIT

    - #### CONFIG

          public static final RichfacesLogger CONFIG

    - #### CONNECTION

          public static final RichfacesLogger CONNECTION

    - #### APPLICATION

          public static final RichfacesLogger APPLICATION

    - #### CACHE

          public static final RichfacesLogger CACHE

    - #### CONTEXT

          public static final RichfacesLogger CONTEXT

    - #### COMPONENTS

          public static final RichfacesLogger COMPONENTS

    - #### WEBAPP

          public static final RichfacesLogger WEBAPP

    - #### UTIL

          public static final RichfacesLogger UTIL

    - #### MODEL

          public static final RichfacesLogger MODEL

  - ### Method Detail

    - #### values

          public static RichfacesLogger[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RichfacesLogger c : RichfacesLogger.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RichfacesLogger valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLoggerName

          public String getLoggerName()

    - #### getLogger

          public Logger getLogger()

    - #### getComponentPath

          public static String getComponentPath(javax.faces.component.UIComponent component)

      Return string which contains formated path from view root to component.
      Parameters:
        `component` -
      Returns:
        string

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.